#include <stdio.h>

/*
 * Intended to be run at checkline < /dev/ttys0 > /dev/ttys0
 * (assumeing ttys0 is your modem).
 *
 * Gives a list of all the characters that get eaten..
 */

void main(void) {
  int i, c;
  printf("#\n");
  while ((c = getchar()) != '#') fprintf(stderr, "(%c)", c);
  
  for (i = 32 ; i < 256; ++ i) {
    fprintf(stderr, "About to try character %d\n", i);
    if (!(i&15))
      sleep(1);			/* If things break, try uncommenting this. */

    printf("-%c*%c\n", i, 17);	/* We send an Xon, in case the */
				/* character got interpreted as an Xoff. */
    do {
      c = getchar();
      fprintf(stderr, "[%c]", c);
    } while ( c != '-');
    
    c = getchar();
    fprintf(stderr, "[%c]", c);
    if (c == i) {printf(" ok.\n"); continue; }
    if (c == '*' ) {
      fprintf(stderr, "Ok. Char %d got eaten\n", i);
    }
    else {
      fprintf(stderr, "c == %d, i == %d\n");
      fprintf(stderr, "Ok. I lost it . What the is going "
 	      "on??\n");
    }
  }
  printf("0000000\n");
}


