#define I_STRING
#include "includes.h"


void do_stats(char *ret, int opt) {
  char buff[20];
  int i;
  switch(opt) {
  case -5:
    sprintf(ret, "%d", baudrate);
    break;
  case -4:
    sprintf(ret, "%d %d", p_in_num, p_out_num);
    break;
  case -3:
    sprintf(ret,"%d %d", stat_modem_in, stat_modem_out);
    break;
  case -2:			/* Return the compression statistics. */
    sprintf(ret,"%d %d", stat_comp_in, stat_comp_out);
    break;
  case -1:			/* Return a list of all the active clients.*/
    ret[0] = 0;
    for (i = 0; i < MAX_CLIENTS;++i) {
      if (clients[i].fd >= 0) {
	sprintf(buff,"%d ", i);
	strcat(ret, buff);
      }
    }
    break;
  default:
    sprintf(ret, "%d %d %d %d %d %d %s", 
	    clients[opt].fd,
	    clients[opt].priority,
	    clients[opt].type,
	    clients[opt].state,
	    clients[opt].pid,
	    clients[opt].number, 
	    clients[opt].name);
    
  }
}
