#include "config.h"
#define C_SWITCH        '@'

#define C_OPEN		'1'
#define	C_CLOSE		'2'
#define C_EXEC		'3'
#define C_PTYEXEC	'4'
#define C_DUMB		'5'
#define C_UPLOAD	'6'
#define C_DOWNLOAD	'7'
#define C_SOCKET        '8'
#define C_PORT          'A'
#define C_PRIORITY      'B'
#define C_COMPRESS	'C'  /* note, i jumped B :) (croutons). */
#define C_STAT          'D'
#define C_SEEK          'E'
#define C_STATS         'F'
#define C_NAME          'G'
#define C_RESIZE        'H'
#define C_CLIENTNUM     'I'
#define C_BIND          'J'
#define C_ACCEPT        'K'

#define I_FAIL		'a'
#define I_CLOSE		'b'
#define I_EXIT		'c'
#define I_OK		'd'


#include "terminal.h"
#ifndef un_char
#define un_char unsigned char
#endif

int read_into_buff(int fd, struct Buffer *);
int write_from_buff(int fd, struct Buffer *, int);

int do_read_into_buff(int fd, struct Buffer *);
int do_write_from_buff(int fd, struct Buffer *);

int connect_server(char *);

void set_nonblock(int);
void set_block(int);

void set_ttyraw(int);
void set_ttynormal(int);

int client_options(int argc, char *argv[]);
int send_command(int, int, int, char *, ...);
char * build_arg(char**);
extern int priority;

int open_unix(char *);
int bind_tcp( int );
int bind_unix(char *);
void do_select_loop(int, int, int);
extern char *term_server;
int priority;

extern char *command_result;
